summaryrefslogtreecommitdiffstats
path: root/source/a/bin
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/bin')
-rwxr-xr-xsource/a/bin/bin.SlackBuild138
-rw-r--r--source/a/bin/debianutils_2.7.dsc21
-rw-r--r--source/a/bin/scripts/diskcopy9
-rw-r--r--source/a/bin/scripts/xx21
-rw-r--r--source/a/bin/slack-desc19
5 files changed, 208 insertions, 0 deletions
diff --git a/source/a/bin/bin.SlackBuild b/source/a/bin/bin.SlackBuild
new file mode 100755
index 000000000..69995accc
--- /dev/null
+++ b/source/a/bin/bin.SlackBuild
@@ -0,0 +1,138 @@
+#!/bin/sh
+
+# Copyright 2005-2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=11.1
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-bin
+
+# These don't need to be real recent, as we only require a couple
+# of things such as 'mktemp' and 'tempfile'.
+DUTILS=2.7
+
+# The fbset package
+FBSET=2.1
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+echo "+=============+"
+echo "| debianutils |"
+echo "+=============+"
+cd $TMP
+rm -rf debianutils-$DUTILS
+tar xzvf $CWD/debianutils_$DUTILS.tar.gz
+cd debianutils-$DUTILS
+chown -R root:root .
+./configure --prefix=/usr
+make || exit 1
+## We use our own very simple run-parts script
+## in the dcron package instead.
+#cat run-parts > $PKG/usr/bin/run-parts
+#cat run-parts.8 | gzip -9c > $PKG/usr/man/man8/run-parts.8.gz
+mkdir -p $PKG/usr/bin $PKG/usr/man/man{1,8}
+cat mktemp > $PKG/usr/bin/mktemp
+cat mktemp.1 | gzip -9c > $PKG/usr/man/man1/mktemp.1.gz
+cat savelog > $PKG/usr/bin/savelog
+cat savelog.8 | gzip -9c > $PKG/usr/man/man8/savelog.8.gz
+cat tempfile > $PKG/usr/bin/tempfile
+cat tempfile.1 | gzip -9c > $PKG/usr/man/man1/tempfile.1.gz
+chmod 755 $PKG/usr/bin/*
+mkdir -p $PKG/usr/doc/debianutils-$DUTILS
+cp -a debian/copyright $PKG/usr/doc/debianutils-$DUTILS
+
+echo "+===========+"
+echo "| fbset-${FBSET} |"
+echo "+===========+"
+cd $TMP
+rm -rf fbset-${FBSET}
+tar xzvf $CWD/fbset-${FBSET}.tar.gz
+cd fbset-${FBSET}
+chown -R root:root .
+make || exit 1
+mkdir -p $PKG/usr/sbin
+cat fbset > $PKG/usr/sbin/fbset
+chmod 755 $PKG/usr/sbin/fbset
+mkdir -p $PKG/etc
+cat etc/fb.modes.ATI > $PKG/etc/fb.modes
+mkdir -p $PKG/usr/man/man5
+cat fb.modes.5 | gzip -9c > $PKG/usr/man/man5/fb.modes.5.gz
+mkdir -p $PKG/usr/man/man8
+cat fbset.8 | gzip -9c > $PKG/usr/man/man8/fbset.8.gz
+mkdir -p $PKG/usr/doc/fbset-${FBSET}
+cp -a \
+ INSTALL etc/* \
+ $PKG/usr/doc/fbset-${FBSET}
+rm -r $PKG/usr/doc/fbset-${FBSET}/CVS
+
+echo "+=========+"
+echo "| banners |"
+echo "+=========+"
+cd $TMP
+rm -rf banners
+tar xzvf $CWD/banners.tar.gz
+cd banners
+chown -R root:root .
+make || exit 1
+cat bban > $PKG/usr/bin/bban
+cat sysvbanner > $PKG/usr/bin/sysvbanner
+chmod 755 $PKG/usr/bin/{bban,sysvbanner}
+
+echo "+===============+"
+echo "| todos/fromdos |"
+echo "+===============+"
+cd $TMP
+rm -rf todos
+tar xzvf $CWD/todos.tar.gz
+cd todos
+chown -R root:root .
+make || exit 1
+mkdir -p $PKG/usr/bin
+cat todos > $PKG/usr/bin/todos
+cat fromdos > $PKG/usr/bin/fromdos
+chmod 755 $PKG/usr/bin/*dos
+mkdir -p $PKG/usr/man/man1
+cat todos.1.gz > $PKG/usr/man/man1/todos.1.gz
+cat fromdos.1.gz > $PKG/usr/man/man1/fromdos.1.gz
+
+# These are a couple of really old scripts that might still
+# be useful for a couple more years. :-)
+zcat $CWD/scripts/diskcopy.gz > $PKG/usr/bin/diskcopy
+zcat $CWD/scripts/xx.gz > $PKG/usr/bin/xx
+chmod 755 $PKG/usr/bin/diskcopy
+chmod 755 $PKG/usr/bin/xx
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/bin-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/a/bin/debianutils_2.7.dsc b/source/a/bin/debianutils_2.7.dsc
new file mode 100644
index 000000000..25a643a7b
--- /dev/null
+++ b/source/a/bin/debianutils_2.7.dsc
@@ -0,0 +1,21 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
+Format: 1.0
+Source: debianutils
+Version: 2.7
+Binary: debianutils
+Maintainer: Clint Adams <schizo@debian.org>
+Architecture: any
+Standards-Version: 3.6.1
+Files:
+ e966d93a3ee20068197104049ebd7d70 165590 debianutils_2.7.tar.gz
+
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.2.4 (GNU/Linux)
+Comment: Debian!
+
+iD8DBQFAO4b85m0u66uWM3ARAotWAKCE/B4HoDVZ5rHi4AISWwHO59cEgwCgqQ6d
+Rt+5nuJdAgkcQgKDQu52RwI=
+=2QDD
+-----END PGP SIGNATURE-----
diff --git a/source/a/bin/scripts/diskcopy b/source/a/bin/scripts/diskcopy
new file mode 100644
index 000000000..9f3cc586f
--- /dev/null
+++ b/source/a/bin/scripts/diskcopy
@@ -0,0 +1,9 @@
+#!/bin/sh
+echo -n "Insert source disk in first floppy drive, then hit enter"
+read ans;
+MCOOKIE=`mcookie`
+dd if=/dev/fd0 of=/tmp/dcopy.$MCOOKIE
+echo -n "Remove source disk and insert destination disk, then hit enter"
+read ans;
+dd of=/dev/fd0 if=/tmp/dcopy.$MCOOKIE
+/bin/rm -f /tmp/dcopy.$MCOOKIE
diff --git a/source/a/bin/scripts/xx b/source/a/bin/scripts/xx
new file mode 100644
index 000000000..4116c2093
--- /dev/null
+++ b/source/a/bin/scripts/xx
@@ -0,0 +1,21 @@
+#
+# A script to extract binary files from uudecoded files. Ignores all headers
+# and irrelevant stuff. Has shortfalls like all such scripts/programs but works
+# (almost) 100% of the time. We tested it against many such tools available
+# at many ftp sites and found it having higher success rate. There are
+# a few c-programs out there and it is slower as compared to them but it
+# works even in those cases when they fail to work.
+# The only time it will not work is that if uuencoded source file is cut up
+# in many pieces and LAST part contains LESS THAN 3 SOURCE lines in it and
+# we know that such cases (almost) never arise....guarenteed....:)
+#
+# Written by Tahir Zia Khawaja and
+# Nasir Ahmed Noor
+#umnoor@ccu.umanitoba.ca
+#umkhawaj@ccu.umanitoba.ca
+#
+awk '$0 ~ /^begin / {print $0; exit}' $1 > $$gifile
+egrep "^M[^a-z]" $1 >> $$gifile
+awk 'NR > 2 {sl=lr; lr=pr; pr=$0} $1 ~ /^end/ {print sl; print lr; print pr; exit}' $1 >> $$gifile
+uudecode $$gifile
+rm $$gifile
diff --git a/source/a/bin/slack-desc b/source/a/bin/slack-desc
new file mode 100644
index 000000000..de9e307d7
--- /dev/null
+++ b/source/a/bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bin: bin (some command-line utilities)
+bin:
+bin: The bin package is a collection of miscellaneous command-line
+bin: utilities. Some of these (such as 'tempfile') are used in system
+bin: scripts.
+bin:
+bin:
+bin:
+bin:
+bin:
+bin: